unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    AddButton: TButton;
    DelButton: TButton;
    ComboBox1: TComboBox;
    procedure AddButtonClick(Sender: TObject);
    procedure DelButtonClick(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AddButtonClick(Sender: TObject);
begin
 ComboBox1.Items.Add('Новая строка')
end;

procedure TForm1.DelButtonClick(Sender: TObject);
begin
 ComboBox1.Items.Delete(ComboBox1.ItemIndex);
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
 Edit1.Text:=ComboBox1.Items.Strings[ComboBox1.ItemIndex];
end;

end.



